<?php

use yii\db\Migration;
use yii\db\Schema;

/**
 * Class m210915_083421_add_option_stripe_mode_test
 */
class m210915_083421_add_option_stripe_mode_test extends Migration
{
    /**
     * {@inheritdoc}
     */
    public function safeUp()
    {
        $this->addColumn('producer', 'option_stripe_mode_test', Schema::TYPE_BOOLEAN.' DEFAULT 1');
    }

    /**
     * {@inheritdoc}
     */
    public function safeDown()
    {
        $this->dropColumn('producer', 'option_stripe_mode_test');
    }

    /*
    // Use up()/down() to run migration code without a transaction.
    public function up()
    {

    }

    public function down()
    {
        echo "m210915_083421_add_option_stripe_mode_test cannot be reverted.\n";

        return false;
    }
    */
}
